Lists the runtimes supported by the backend. The list of runtimes may vary across projects and locations, for example, during staged rollouts of new runtime support.
HTTP request
GET https://firebaseapphosting.googleapis.com/v1beta/{parent=projects/*/locations/*}/supportedRuntimes
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of SupportedRuntime. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The suggested number of runtimes to return. This field is ignored. We return all runtimes in a single page regardless of the page size. |
Request body
The request body must be empty.
Response body
Response message for a list of supported runtimes.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"supportedRuntimes": [
{
object ( |
| Fields | |
|---|---|
supportedRuntimes[] |
The list of supported runtimes. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.
SupportedRuntime
Represents a single FAH supported runtime. Although instances of this resource are parented by a project and location, the set of available runtimes may vary across projects and locations, for example, during staged rollouts of new runtime support.
| JSON representation |
|---|
{ "name": string, "runtimeId": string, "automaticBaseImageUpdatesSupported": boolean, "deprecateTime": string, "decommissionTime": string } |
| Fields | |
|---|---|
name |
Identifier. The resource name of the supported runtime. Format: projects/{project}/locations/{location}/supportedRuntimes/{runtimeId} |
runtimeId |
Output only. The identifier of the runtime, e.g., "nodejs22". |
automaticBaseImageUpdatesSupported |
Output only. True if Automatic Base Image Updates (ABIU) is supported for this runtime. |
deprecateTime |
Output only. The time at which this runtime will effectively be deprecated. After this date, the runtime is still usable but may not receive new features or updates. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
decommissionTime |
Output only. The time at which this runtime will be decommissioned. After this date, the runtime can no longer be used for new builds. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |